| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# IG::Num::BoundingBox1d Class Reference

An 1D bounding box. More...

Inheritance diagram for IG::Num::BoundingBox1d:
[legend]
Collaboration diagram for IG::Num::BoundingBox1d:
[legend]

List of all members.

## Public Member Functions
| BoundingBox1d ()
| Creates an 1D bounding box with unspecified bounds; minimal co-ordinate components equal to UndefinedMin and maximal co-ordinate components equal do UndefinedMax.
| BoundingBox1d (double minX, double maxX)
| Creates an 1D bounding box with the specified bounds.
| BoundingBox1d (IVector coordinates)
| Creates a bounding box and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified vector.
| BoundingBox1d (IVector min, IVector max)
| Creates a bounding box of the specified dimension and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified vectors.
| BoundingBox1d (IBoundingBox bounds)
| Constructs a 1D bounding box of the specified dimension and initializes it in such a way that its bounds correspond to those of the specified bounding box. The specified bounding box must be different than null, otherwise exception is thrown.
| BoundingBox1d (double[] coordinates)
| Creates a bounding box and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified array.
| BoundingBox1d (double[] min, double[] max)
| Creates a bounding box and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified arrays.
## Protected Member Functions
override IVector | CreateVector (int dim)
| Creates and returns a new vector that is consistent with the definition of bounding box.
## Properties
double | MinX`[get]`
| Gets the lower bound in the first coordinate.
double | MaxX`[get]`
| Gets the upper bound in the first coordinate.
double | MinValue`[get]`
| Gets the lower bound in the first coordinate.
double | MaxValue`[get]`
| Gets the upper bound in the first coordinate.

## Detailed Description

An 1D bounding box.

## Constructor & Destructor Documentation

IG::Num::BoundingBox1d::BoundingBox1d | ( |  | ) | `[inline]`

Creates an 1D bounding box with unspecified bounds; minimal co-ordinate components equal to UndefinedMin and maximal co-ordinate components equal do UndefinedMax.

IG::Num::BoundingBox1d::BoundingBox1d | ( | double | minX,
|  | double | maxX
| ) |  | `[inline]`

Creates an 1D bounding box with the specified bounds.

Parameters:

  minX | Lower bound in the first coordinate.
  maxX | Upper bound in the first coordinate.

IG::Num::BoundingBox1d::BoundingBox1d | ( | IVector | coordinates | ) | `[inline]`

Creates a bounding box and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified vector.

Parameters:

  coordinates | Vector of coordinates to which minimal and maximal co-ordines of the bounding box are set.

IG::Num::BoundingBox1d::BoundingBox1d | ( | IVector | min,
|  | IVector | max
| ) |  | `[inline]`

Creates a bounding box of the specified dimension and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified vectors.

Parameters:

  min | Vector of minimal coordinates.
  max | Vector of macimal coordinates.

IG::Num::BoundingBox1d::BoundingBox1d | ( | IBoundingBox | bounds | ) | `[inline]`

Constructs a 1D bounding box of the specified dimension and initializes it in such a way that its bounds correspond to those of the specified bounding box. The specified bounding box must be different than null, otherwise exception is thrown.

Parameters:

  bounds | Bounds with which the constructed bounding box is initialized.

IG::Num::BoundingBox1d::BoundingBox1d | ( | double[] | coordinates | ) | `[inline]`

Creates a bounding box and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified array.

Parameters:

  coordinates | Array of coordinates to which minimal and maximal co-ordines of the bounding box are set.

IG::Num::BoundingBox1d::BoundingBox1d | ( | double[] | min,
|  | double[] | max
| ) |  | `[inline]`

Creates a bounding box and initializes it in such a way that minimal and maximal co-ordinate components equal to components of the spacified arrays.

Parameters:

  min | Array of components to which minimal co-ordines of the bounding box are set.
  max | Array of components to which maximal co-ordines of the bounding box are set.

## Member Function Documentation

override IVector IG::Num::BoundingBox1d::CreateVector | ( | int | dim | ) | `[inline, protected, virtual]`

Creates and returns a new vector that is consistent with the definition of bounding box.

Parameters:

  dim | Dimension of vector space.

Implements IG::Num::BoundingBoxBase.

## Property Documentation

double IG::Num::BoundingBox1d::MinX`[get]`

Gets the lower bound in the first coordinate.

double IG::Num::BoundingBox1d::MaxX`[get]`

Gets the upper bound in the first coordinate.

double IG::Num::BoundingBox1d::MinValue`[get]`

Gets the lower bound in the first coordinate.

double IG::Num::BoundingBox1d::MaxValue`[get]`

Gets the upper bound in the first coordinate.

The documentation for this class was generated from the following file:

- BoundingBox.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events